Index: pro-violet-viettel/sourcecode/application/config/routes.php
===================================================================
--- pro-violet-viettel/sourcecode/application/config/routes.php	(revision 311)
+++ pro-violet-viettel/sourcecode/application/config/routes.php	(revision 313)
@@ -42,4 +42,6 @@
 $route['404_override'] = '';
 
+$route['violetservice/soanbai/mo'] = 'services/viettel/mo';
+
 /* End of file routes.php */
 /* Location: ./application/config/routes.php */
Index: pro-violet-viettel/sourcecode/application/models/sms_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/models/sms_model.php	(revision 313)
+++ pro-violet-viettel/sourcecode/application/models/sms_model.php	(revision 313)
@@ -0,0 +1,21 @@
+﻿<?php
+/**
+* Class Sms_model
+*
+* @author dzungnv02
+*
+*/
+class Sms_model extends CI_Model 
+{
+
+	public function __construct()
+	{
+		// Call the Model constructor
+		parent::__construct();
+	}
+	
+	public function getSMSByServiceId ($serviceId = null) {
+		//return 'Ban da dang ky thanh cong thue bao VIP cua Soan bai giang. Mat khau de dang nhap la xxxx! Xin cam on!';
+		return 'SMS test!';
+	}
+}
Index: pro-violet-viettel/sourcecode/application/models/user_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/models/user_model.php	(revision 311)
+++ 	(revision )
@@ -1,1 +1,0 @@
-﻿
Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/lecture.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/lecture.php	(revision 313)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/lecture.php	(revision 313)
@@ -0,0 +1,24 @@
+<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
+/**
+ * Lecture Class
+ * 
+ * @author dzungnv02
+ *
+ */
+
+class Lecture extends MX_Controller 
+{
+	
+	public function __construct() 
+	{
+		parent::__construct();
+	}
+
+	public function index() 
+	{
+		$this->load->view ( 'lecture_editor');
+	}
+}
+
+/* End of file home.php */
+/* Location: ./application/modules/frontend/controllers/Lecture.php */
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php	(revision 311)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php	(revision 313)
@@ -1,4 +1,5 @@
 <?php
 $this->load->view('layout/frontend/header');
+$base_url = base_url();
 ?>
 
@@ -9,66 +10,15 @@
 
 			<div class="main-container-inner">
-				<a class="menu-toggler" id="menu-toggler" href="#">
-					<span class="menu-text"></span>
-				</a>
-
-				<div class="sidebar" id="sidebar">
-					<script type="text/javascript">
-						try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
-					</script>
-
-					<div class="sidebar-shortcuts" id="sidebar-shortcuts">
-						<div class="sidebar-shortcuts-large" id="sidebar-shortcuts-large" style="line-height:normal">
-							<div data-percent="66%" class="progress progress-striped active" style="margin-bottom:0">
-								<div style="width:66%;" class="progress-bar"></div>
-							</div>
-							<span>66 GB / 100 GB</span>
-						</div>
-
-						<div class="sidebar-shortcuts-mini" id="sidebar-shortcuts-mini">
-							<span class="btn btn-success"></span>
-
-							<span class="btn btn-info"></span>
-
-							<span class="btn btn-warning"></span>
-
-							<span class="btn btn-danger"></span>
-						</div>
-					</div><!-- #sidebar-shortcuts -->
-
-					<nav class="navbar navbar-minimal animate open" role="navigation" style="background:transparent">
-						<ul class="navbar-menu animate">
-							<li>
-								<a href="#" class="animate">
-									<span class="desc animate"> Violet Online </span>
-									<span class="icon-user pull-right"></span>
-								</a>
-							</li>
-							<li>
-								<a href="http://space.violet.vn" class="animate">
-									<span class="desc animate"> Violet Space </span>
-									<span class="icon-info-sign pull-right"></span>
-								</a>
-							</li>
-							<li>
-								<a href="#" class="animate">
-									<span class="desc animate"> Thanh toÃ¡n </span>
-									<span class="icon-comment pull-right"></span>
-								</a>
-							</li>
-						</ul>
-					</nav>
-
-
-				</div>
-
+				
+<?php
+$this->load->view('layout/frontend/sidebar');
+?>
 				<div class="main-content">
 
 					<div class="page-content no-padding">
-
 								<!-- PAGE CONTENT BEGINS -->
-								
-								<img src="assets/img/soanbai.PNG" class="img-responsive" alt="">
-
+								<div class="embed-responsive embed-responsive-16by9">
+								  <embed class="embed-responsive-item" src="<?php echo $base_url;?>/assets/swf/LectureEditor.swf" wmode="transparent" />
+								</div>							
 								<!-- PAGE CONTENT ENDS -->
 
Index: pro-violet-viettel/sourcecode/application/modules/services/controllers/viettel.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/controllers/viettel.php	(revision 311)
+++ pro-violet-viettel/sourcecode/application/modules/services/controllers/viettel.php	(revision 313)
@@ -22,4 +22,32 @@
 	public function mo() 
 	{
+		$aryParams = array();
+		$aryParamsName = array(	'username',
+								'password',
+								'requestID',
+								'userID',
+								'receiverID',
+								'serviceID',
+								'commandCode',
+								'info',
+								'receiveTime');
+		
+		foreach ($aryParams as $key => $value) {
+			$aryParams[$value] =  $this->input->post($value,TRUE);
+		}
+		
+		$this->load->model('Sms_model', 'objSMS');
+		
+		$separator = '|';
+		$errCode = 1;
+		$messageType = 0;
+		$message = $this->objSMS->getSMSByServiceId();;
+		
+		header('Content-type:text/html');
+		echo $errCode,$separator,$messageType,$separator,$message;
+	}
+	
+	public function mt() 
+	{
 		
 	}
Index: pro-violet-viettel/sourcecode/application/views/layout/frontend/footer.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/frontend/footer.php	(revision 311)
+++ pro-violet-viettel/sourcecode/application/views/layout/frontend/footer.php	(revision 313)
@@ -1,2 +1,3 @@
+<?php $base_url = base_url();?>
 		<!-- basic scripts -->
 
@@ -4,5 +5,5 @@
 
 		<script type="text/javascript">
-			window.jQuery || document.write("<script src='assets/js/jquery-2.0.3.min.js'>"+"<"+"/script>");
+			window.jQuery || document.write("<script src='<?php echo $base_url;?>assets/js/jquery-2.0.3.min.js'>"+"<"+"/script>");
 		</script>
 
@@ -11,32 +12,32 @@
 		<!--[if IE]>
 <script type="text/javascript">
- window.jQuery || document.write("<script src='assets/js/jquery-1.10.2.min.js'>"+"<"+"/script>");
+ window.jQuery || document.write("<script src='<?php echo $base_url;?>assets/js/jquery-1.10.2.min.js'>"+"<"+"/script>");
 </script>
 <![endif]-->
 
 		<script type="text/javascript">
-			if("ontouchend" in document) document.write("<script src='assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
+			if("ontouchend" in document) document.write("<script src='<?php echo $base_url;?>assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
 		</script>
-		<script src="assets/js/bootstrap.min.js"></script>
-		<script src="assets/js/typeahead-bs2.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/bootstrap.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/typeahead-bs2.min.js"></script>
 
 		<!-- page specific plugin scripts -->
 
 		<!--[if lte IE 8]>
-		  <script src="assets/js/excanvas.min.js"></script>
+		  <script src="<?php echo $base_url;?>assets/js/excanvas.min.js"></script>
 		<![endif]-->
-		<script src="assets/js/dropzone.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/dropzone.min.js"></script>
 
-		<script src="assets/js/fuelux/data/fuelux.tree-sampledata.js"></script>
-		<script src="assets/js/fuelux/fuelux.tree.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/fuelux/data/fuelux.tree-sampledata.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/fuelux/fuelux.tree.min.js"></script>
 
-		<script src="assets/js/jquery-ui-1.10.3.custom.min.js"></script>
-		<script src="assets/js/jquery.ui.touch-punch.min.js"></script>
-		<script src="assets/js/jquery.slimscroll.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/jquery-ui-1.10.3.custom.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/jquery.ui.touch-punch.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/jquery.slimscroll.min.js"></script>
 
 		<!-- ace scripts -->
 
-		<script src="assets/js/ace-elements.min.js"></script>
-		<script src="assets/js/ace.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/ace-elements.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/ace.min.js"></script>
 
 		<!-- inline scripts related to this page -->
Index: pro-violet-viettel/sourcecode/application/views/layout/frontend/header.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/frontend/header.php	(revision 311)
+++ pro-violet-viettel/sourcecode/application/views/layout/frontend/header.php	(revision 313)
@@ -1,2 +1,3 @@
+<?php $base_url = base_url();?>
 <!DOCTYPE html>
 <html lang="en">
@@ -8,14 +9,14 @@
 		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
 
-		<link href="assets/css/bootstrap.min.css" rel="stylesheet" />
-		<link rel="stylesheet" href="assets/css/font-awesome.min.css" />
-		<link rel="stylesheet" href="assets/css/dropzone.css" />
-		<link rel="stylesheet" href="assets/css/ace-fonts.css" />
+		<link href="<?php echo $base_url;?>assets/css/bootstrap.min.css" rel="stylesheet" />
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/font-awesome.min.css" />
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/dropzone.css" />
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/ace-fonts.css" />
 
-		<link rel="stylesheet" href="assets/css/ace.min.css" />
-		<link rel="stylesheet" href="assets/css/ace-rtl.min.css" />
-		<link rel="stylesheet" href="assets/css/ace-skins.min.css" />
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/ace.min.css" />
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/ace-rtl.min.css" />
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/ace-skins.min.css" />
 
-		<script src="assets/js/ace-extra.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/ace-extra.min.js"></script>
 		<style type="text/css" media="screen">
 			.sidebar:before {background-color: transparent;}
@@ -24,11 +25,11 @@
 
 		<!--[if lt IE 9]>
-		<script src="assets/js/html5shiv.js"></script>
-		<script src="assets/js/respond.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/html5shiv.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/respond.min.js"></script>
 		<![endif]-->
 	</head>
 
 	<body>
-		<div class="navbar navbar-default" id="navbar">
+		<div class="navbar navbar-default navbar-fixed-top" id="navbar">
 			<script type="text/javascript">
 				try{ace.settings.check('navbar' , 'fixed')}catch(e){}
@@ -38,8 +39,5 @@
 				<div class="navbar-header pull-left">
 					<a href="#" class="navbar-brand">
-						<small>
-							<i class="icon-leaf"></i>
-							Violet
-						</small>
+						<img src="<?php echo $base_url;?>assets/img/logo_soanbai_online_white.png" width="350" class="img-responsive">
 					</a><!-- /.brand -->
 				</div><!-- /.navbar-header -->
@@ -48,142 +46,6 @@
 					<ul class="nav ace-nav">
 						<li>
-							<a data-toggle="dropdown" class="dropdown-toggle" href="#">
-								<i class="icon-bell-alt icon-animated-bell"></i>
-								<span class="badge badge-important">8</span>
-							</a>
-
-							<ul class="pull-right dropdown-navbar navbar-pink dropdown-menu dropdown-caret dropdown-close">
-								<li class="dropdown-header">
-									<i class="icon-warning-sign"></i>
-									8 ThÃŽng bÃ¡o má»i
-								</li>
-
-								<li>
-									<a href="#">
-										<div class="clearfix">
-											<span class="pull-left">
-												<i class="btn btn-xs no-hover btn-pink icon-comment"></i>
-												New Comments
-											</span>
-											<span class="pull-right badge badge-info">+12</span>
-										</div>
-									</a>
-								</li>
-
-								<li>
-									<a href="#">
-										<i class="btn btn-xs btn-primary icon-user"></i>
-										Bob just signed up as an editor ...
-									</a>
-								</li>
-
-								<li>
-									<a href="#">
-										<div class="clearfix">
-											<span class="pull-left">
-												<i class="btn btn-xs no-hover btn-success icon-shopping-cart"></i>
-												New Orders
-											</span>
-											<span class="pull-right badge badge-success">+8</span>
-										</div>
-									</a>
-								</li>
-
-								<li>
-									<a href="#">
-										<div class="clearfix">
-											<span class="pull-left">
-												<i class="btn btn-xs no-hover btn-info icon-twitter"></i>
-												Followers
-											</span>
-											<span class="pull-right badge badge-info">+11</span>
-										</div>
-									</a>
-								</li>
-
-								<li>
-									<a href="#">
-										Xem táº¥t cáº£
-										<i class="icon-arrow-right"></i>
-									</a>
-								</li>
-							</ul>
-						</li>
-
-						<li>
-							<a data-toggle="dropdown" class="dropdown-toggle" href="#">
-								<i class="icon-envelope icon-animated-vertical"></i>
-								<span class="badge badge-success">5</span>
-							</a>
-
-							<ul class="pull-right dropdown-navbar dropdown-menu dropdown-caret dropdown-close">
-								<li class="dropdown-header">
-									<i class="icon-envelope-alt"></i>
-									5 Tin nháº¯n
-								</li>
-
-								<li>
-									<a href="#">
-										<img src="assets/avatars/avatar.png" class="msg-photo" alt="Alex's Avatar" />
-										<span class="msg-body">
-											<span class="msg-title">
-												<span class="blue">Alex:</span>
-												Ciao sociis natoque penatibus et auctor ...
-											</span>
-
-											<span class="msg-time">
-												<i class="icon-time"></i>
-												<span>a moment ago</span>
-											</span>
-										</span>
-									</a>
-								</li>
-
-								<li>
-									<a href="#">
-										<img src="assets/avatars/avatar3.png" class="msg-photo" alt="Susan's Avatar" />
-										<span class="msg-body">
-											<span class="msg-title">
-												<span class="blue">Susan:</span>
-												Vestibulum id ligula porta felis euismod ...
-											</span>
-
-											<span class="msg-time">
-												<i class="icon-time"></i>
-												<span>20 minutes ago</span>
-											</span>
-										</span>
-									</a>
-								</li>
-
-								<li>
-									<a href="#">
-										<img src="assets/avatars/avatar4.png" class="msg-photo" alt="Bob's Avatar" />
-										<span class="msg-body">
-											<span class="msg-title">
-												<span class="blue">Bob:</span>
-												Nullam quis risus eget urna mollis ornare ...
-											</span>
-
-											<span class="msg-time">
-												<i class="icon-time"></i>
-												<span>3:15 pm</span>
-											</span>
-										</span>
-									</a>
-								</li>
-
-								<li>
-									<a href="inbox.html">
-										Xem táº¥t cáº£
-										<i class="icon-arrow-right"></i>
-									</a>
-								</li>
-							</ul>
-						</li>
-
-						<li>
 							<a data-toggle="dropdown" href="#" class="dropdown-toggle">
-								<img class="nav-user-photo" src="assets/avatars/user.jpg" alt="Admin's Photo" />
+								<img class="nav-user-photo" src="<?php echo $base_url;?>assets/avatars/user.jpg" alt="Admin's Photo" />
 								<span class="user-info">
 									<small>Xin chÃ o,</small>
@@ -196,5 +58,5 @@
 							<ul class="user-menu pull-right dropdown-menu dropdown-yellow dropdown-caret dropdown-close">
 								<li>
-									<a href="user_profile.html">
+									<a href="frontend-user_profile.html">
 										<i class="icon-user"></i>
 										ThÃŽng tin cÃ¡ nhÃ¢n
@@ -205,5 +67,5 @@
 
 								<li>
-									<a href="home.html">
+									<a href="frontend-index.html">
 										<i class="icon-off"></i>
 										ThoÃ¡t
Index: pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php	(revision 313)
+++ pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php	(revision 313)
@@ -0,0 +1,60 @@
+<?php $base_url = base_url();?>
+			<a class="menu-toggler" id="menu-toggler" href="#">
+					<span class="menu-text"></span>
+				</a>
+
+				<div class="sidebar" id="sidebar">
+					<script type="text/javascript">
+						try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
+					</script>
+
+					<div class="sidebar-shortcuts" id="sidebar-shortcuts">
+						<div class="sidebar-shortcuts-large" id="sidebar-shortcuts-large" style="line-height:normal">
+							<div data-percent="66%" class="progress progress-striped active" style="margin-bottom:0">
+								<div style="width:66%;" class="progress-bar"></div>
+							</div>
+							<span>66 GB / 100 GB</span>
+						</div>
+
+						<div class="sidebar-shortcuts-mini" id="sidebar-shortcuts-mini">
+							<span class="btn btn-success"></span>
+
+							<span class="btn btn-info"></span>
+
+							<span class="btn btn-warning"></span>
+
+							<span class="btn btn-danger"></span>
+						</div>
+					</div><!-- #sidebar-shortcuts -->
+
+					<nav class="navbar navbar-minimal animate open" role="navigation" style="background:transparent">
+						<ul class="navbar-menu animate">
+							<li>
+								<a href="#" class="animate">
+									<span class="desc animate"> Violet Online </span>
+									<img src="<?php echo $base_url;?>assets/img/logo_Violet.png" width="28" class="img-responsive pull-right">
+								</a>
+							</li>
+							<li>
+								<a href="http://space.violet.vn" class="animate">
+									<span class="desc animate"> Violet Space </span>
+									<img src="<?php echo $base_url;?>assets/img/logo_Violet_space_black_box.png" width="28" class="img-responsive pull-right">
+								</a>
+							</li>
+							<li>
+								<a href="#" class="animate">
+									<span class="desc animate"> Thanh toÃ¡n </span>
+									<img src="<?php echo $base_url;?>assets/img/payment.png" width="28" class="img-responsive pull-right">
+								</a>
+							</li>
+							<li>
+								<a href="user_profile.html" class="animate">
+									<span class="desc animate"> ThÃŽng tin cÃ¡ nhÃ¢n </span>
+									<img src="<?php echo $base_url;?>assets/img/profile.png" width="28" class="img-responsive pull-right">
+								</a>
+							</li>
+						</ul>
+					</nav>
+
+
+				</div>