Index: /pro-violet-viettel/sourcecode/application/modules/frontend/controllers/lecture.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/frontend/controllers/lecture.php	(revision 322)
+++ /pro-violet-viettel/sourcecode/application/modules/frontend/controllers/lecture.php	(revision 323)
@@ -17,5 +17,5 @@
 
 	public function index() 
-	{
+	{	
 		$user_info = $this->session->userdata('userInfo');
 		if ($user_info){
Index: o-violet-viettel/sourcecode/application/modules/frontend/views/frontend-index.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/frontend/views/frontend-index.php	(revision 322)
+++ 	(revision )
@@ -1,202 +1,0 @@
-<!DOCTYPE html>
-<html lang="en">
-	<head>
-		<meta charset="utf-8" />
-		<title>SBG Online</title>
-
-		<meta name="description" content="User login page" />
-		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
-
-		<!-- basic styles -->
-		<link href="/assets/css/bootstrap.min.css" rel="stylesheet" />
-		<link rel="stylesheet" href="/assets/css/font-awesome.min.css" />
-
-		<link rel="stylesheet" href="/assets/css/ace-fonts.css" />
-
-		<!-- ace styles -->
-
-		<link rel="stylesheet" href="/assets/css/ace.min.css" />
-		<link rel="stylesheet" href="/assets/css/ace-rtl.min.css" />
-
-		<!--[if lte IE 8]>
-		  <link rel="stylesheet" href="assets/css/ace-ie.min.css" />
-		<![endif]-->
-
-		<!-- inline styles related to this page -->
-
-		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
-
-		<!--[if lt IE 9]>
-		<script src="assets/js/html5shiv.js"></script>
-		<script src="assets/js/respond.min.js"></script>
-		<![endif]-->
-	</head>
-
-	<body class="login-layout">
-		<div class="main-container no-margin">
-			<div class="main-content">
-				<div class="row">
-					<div class="space-6"></div>
-					<div class="col-md-8">
-						<div class="title-box col-md-8">
-							<img src="/assets/img/logo_soanbai_online_black.png" class="img-responsive">
-						</div>
-						<div class="title-box col-md-12">
-							<h3>Dá»ch vá»¥ lÆ°u trá»¯ trá»±c tuyáº¿n dá»¯ liá»u bÃ i giáº£ng cá»§a <a href="http://violet.vn">Violet.vn</a></h3>
-						</div>
-						<ul class="list-inline col-md-12">
-							<li><img src="/assets/img/logo_Violet.png" width="128" class="img-responsive"></li>
-							<li><img src="/assets/img/logo_viettel.png" width="128" class="img-responsive"></li>
-						</ul>
-					</div>
-					<div class="col-md-4">
-						<div class="login-container">
-							<div class="position-relative">
-								<div id="login-box" class="login-box visible widget-box no-border" style="background: transparent">
-									<div class="widget-body" style="background:transparent">
-										<div class="widget-main" style="background:transparent">
-											<h4 class="header blue lighter bigger">
-												<i class="icon-cloud-upload green"></i>
-												VIOLET SPACE | <small><a href="#" data-toggle="modal" data-target="#modal-signup">ÄÄng kÃœ</a></small>
-											</h4>
-
-											<form action="" id="validation-form" method="POST">
-												<fieldset>
-													<label class="block clearfix has-error">
-														<span class="block input-icon input-icon-right">
-															<input type="text" class="form-control" name="account" placeholder="TÃ i khoáº£n | Sá» Äiá»n thoáº¡i" />
-															<i class="icon-user"></i>
-														</span>
-														<div class="help-block"></div>
-													</label>
-
-													<label class="block clearfix">
-														<span class="block input-icon input-icon-right">
-															<input type="password" class="form-control" name="password" placeholder="Máº­t kháº©u" />
-															<i class="icon-lock"></i>
-														</span>
-														<div class="help-block"> </div>
-													</label>
-
-													<div class="space"></div>
-
-													<div class="clearfix">
-														<label class="inline">
-															<input type="checkbox" class="ace" />
-															<span class="lbl"> Ghi nhá»</span>
-														</label>
-
-														<a href="index-user.html" title="">
-															<button type="submit" name="submit" id="login-button" class="pull-right btn btn-sm btn-primary">
-																<i class="icon-key"></i>
-																ÄÄng nháº­p
-															</button>
-														</a>
-													</div>
-
-													<div class="space-4"></div>
-												</fieldset>
-											</form>
-										</div><!-- /widget-main -->
-									</div><!-- /widget-body -->
-								</div><!-- /login-box -->
-
-							</div><!-- /position-relative -->
-						</div>
-					</div><!-- /.col -->
-				</div><!-- /.row -->
-
-			</div>
-		</div><!-- /.main-container -->
-
-		<div class="modal fade" id="modal-signup" tabindex="-1" role="dialog"aria-hidden="true">
-		  <div class="modal-dialog">
-		    <div class="modal-content">
-		      <div class="modal-header">
-		        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
-		        <h4 class="modal-title">ÄÄng kÃœ tÃ i khoáº£n</h4>
-		      </div>
-		      <div class="modal-body">
-		      	<div class="alert alert-block alert-success">						
-							<p>
-								Äá» ÄÄng kÃœ tÃ i khoáº£n tÃ i khoáº£n Violet Space
-							</p>
-							<strong>
-								<i class="icon-commnet"></i>
-								Soáº¡n tin: SBG DK gá»­i 8162
-							</strong>
-						</div>
-		      </div>
-		    </div>
-		  </div>
-		</div>
-		<!-- basic scripts -->
-
-		<!--[if !IE]> -->
-
-		<script type="text/javascript">
-			window.jQuery || document.write("<script src='/assets/js/jquery-2.0.3.min.js'>"+"<"+"/script>");
-		</script>
-		<script src="/assets/js/bootstrap.min.js"></script>
-		<script src="/assets/js/jquery.validate.min.js"></script>
-
-		<script src="/assets/js/ace-elements.min.js"></script>
-		<script src="/assets/js/ace.min.js"></script>
-		<!-- <![endif]-->
-
-		<!--[if IE]>
-<script type="text/javascript">
- window.jQuery || document.write("<script src='assets/js/jquery-1.10.2.min.js'>"+"<"+"/script>");
-</script>
-<![endif]-->
-
-		<script type="text/javascript">
-			if("ontouchend" in document) document.write("<script src='/assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
-		</script>
-
-		<!-- inline scripts related to this page -->
-
-		<script type="text/javascript">
-			function show_box(id) {
-			 jQuery('.widget-box.visible').removeClass('visible');
-			 jQuery('#'+id).addClass('visible');
-			}
-
-			$('#register-button').click(function(){
-					$('#modal-login').modal('show')
-			})
-
-			$('#validation-form').validate({
-				errorElement: 'label',
-				errorClass: 'help-block',
-				focusInvalid: true,
-				rules: {
-					password: {
-						required: true,
-					},
-					account: {
-						required: true
-					}
-				},
-		
-				messages: {
-					account: {
-						required: "Vui lÃ²ng nháº­p tÃ i khoáº£n hoáº·c sá» Äiá»n thoáº¡i",
-					},
-					password: {
-						required: "Vui lÃ²ng nháº­p máº­t kháº©u.",
-					}
-				},
-
-				highlight: function (e) {
-					$(e).closest('label').removeClass('has-info').addClass('has-error');
-				},
-		
-				success: function (e) {
-					$(e).closest('label').removeClass('has-error').addClass('has-info');
-					$(e).remove();
-				},
-			});
-		</script>
-	</body>
-</html>
Index: /pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php	(revision 322)
+++ /pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php	(revision 323)
@@ -19,5 +19,11 @@
 								<!-- PAGE CONTENT BEGINS -->
 								<div class="embed-responsive embed-responsive-16by9">
-								  <embed class="embed-responsive-item" src="<?php echo $base_url;?>/assets/swf/LectureEditor.swf" wmode="transparent" />
+								  <embed 
+									  class="embed-responsive-item" 
+									  src="<?php echo $base_url;?>assets/swf/LectureEditor.swf" 
+									  wmode="transparent"
+									  type="application/x-shockwave-flash"
+									  flashvars="host=<?php echo substr($base_url,0,strlen($base_url)-1);?>" 
+								  />
 								</div>							
 								<!-- PAGE CONTENT ENDS -->