Index: pro-violet-viettel/sourcecode/application/modules/admin/controllers/home.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/controllers/home.php	(revision 324)
+++ pro-violet-viettel/sourcecode/application/modules/admin/controllers/home.php	(revision 324)
@@ -0,0 +1,49 @@
+﻿<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
+
+class Home extends MX_Controller 
+{
+	public function __construct() 
+	{
+		parent::__construct();
+		$this->load->helper('cookie');
+	}
+	
+	public function index ()
+	{
+		$admin_info = $this->session->userdata('adminInfo');
+		if ($admin_info)
+		{
+			$this->load->view('index');
+		}else
+		{
+			$this->load->view ( 'login');
+		}
+	}
+	
+	public function login()
+	{
+		$username = $this->input->post('user_admin');
+		$password = $this->input->post('password');
+		
+		$this->load->model(array('admin_model'));
+		$data = $this->admin_model->check_login($username, $password);
+		if ($data == null)
+		{
+			$this->session->set_flashdata('login_error', TRUE);
+			redirect("/admin/home");
+		}
+		else
+		{
+			$admindata = array('user_admin' => $username, "logined_in" => TRUE);
+			$this->session->set_userdata('adminInfo', $admindata);
+			redirect("/admin/home");
+		}
+	}
+	
+	public function logout()
+	{
+		$this->session->sess_destroy();
+		redirect("/admin/home");
+	}
+	
+}
Index: pro-violet-viettel/sourcecode/application/modules/admin/models/admin_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/models/admin_model.php	(revision 324)
+++ pro-violet-viettel/sourcecode/application/modules/admin/models/admin_model.php	(revision 324)
@@ -0,0 +1,23 @@
+<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
+
+
+class Admin_model extends CI_Model
+{
+	function __construct()
+	{
+		parent::__construct();
+	}
+	
+	function check_login($login_name, $password)
+	{
+		$hash_password = md5($password);
+		$query = "SELECT * FROM tbladmin WHERE  login_name = ? AND  passwd = ?";
+		$result = $this->db->query($query, array($login_name, $hash_password));
+		if($result->num_rows() == 1){
+			return $result->row(0);
+		}else
+		{
+			return null;
+		}
+	}
+}
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/index.php	(revision 324)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/index.php	(revision 324)
@@ -0,0 +1,549 @@
+<?php $base_url = base_url();?>
+<!DOCTYPE html>
+<html lang="en">
+	<head>
+		<meta charset="utf-8" />
+		<title>SBG|Admin</title>
+
+		<meta name="description" content="overview &amp; stats" />
+		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
+
+		<link href="<?php echo $base_url; ?>assets/css/bootstrap.min.css" rel="stylesheet" />
+		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/font-awesome.min.css" />
+
+		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/ace-fonts.css" />
+
+		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/ace.min.css" />
+		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/ace-rtl.min.css" />
+		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/ace-skins.min.css" />
+
+		<script src="<?php echo $base_url; ?>assets/js/ace-extra.min.js"></script>
+
+		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
+
+		<!--[if lt IE 9]>
+		<script src="assets/js/html5shiv.js"></script>
+		<script src="assets/js/respond.min.js"></script>
+		<![endif]-->
+	</head>
+
+	<body>
+		<div class="navbar navbar-default navbar-fixed-top" id="navbar">
+			<script type="text/javascript">
+				try{ace.settings.check('navbar' , 'fixed')}catch(e){}
+			</script>
+
+			<div class="navbar-container" id="navbar-container">
+				<div class="navbar-header pull-left">
+					<a href="#" class="navbar-brand">
+						<img src="<?php echo $base_url; ?>assets/img/logo_soanbai_online_white.png" width="350" class="img-responsive">
+					</a><!-- /.brand -->
+				</div><!-- /.navbar-header -->
+
+				<div class="navbar-header pull-right" role="navigation">
+					<ul class="nav ace-nav">
+						<li>
+							<a data-toggle="dropdown" href="#" class="dropdown-toggle">
+								<img class="nav-user-photo" src="<?php echo $base_url; ?>assets/avatars/user.jpg" alt="Admin's Photo" />
+								<span class="user-info">
+									<small>Xin chÃ o,</small>
+									Admin
+								</span>
+
+								<i class="icon-caret-down"></i>
+							</a>
+
+							<ul class="user-menu pull-right dropdown-menu dropdown-yellow dropdown-caret dropdown-close">
+								<li>
+									<a href="user_profile.html">
+										<i class="icon-user"></i>
+										ThÃŽng tin cÃ¡ nhÃ¢n
+									</a>
+								</li>
+
+								<li class="divider"></li>
+
+								<li>
+									<a href="<?php echo $base_url; ?>admin/home/logout">
+										<i class="icon-off"></i>
+										ThoÃ¡t
+									</a>
+								</li>
+							</ul>
+						</li>
+					</ul><!-- /.ace-nav -->
+				</div><!-- /.navbar-header -->
+			</div><!-- /.container -->
+		</div>
+
+		<div class="main-container" id="main-container">
+			<script type="text/javascript">
+				try{ace.settings.check('main-container' , 'fixed')}catch(e){}
+			</script>
+
+			<div class="main-container-inner">
+				<a class="menu-toggler" id="menu-toggler" href="#">
+					<span class="menu-text"></span>
+				</a>
+
+				<div class="sidebar sidebar-fixed" id="sidebar">
+					<script type="text/javascript">
+						try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
+					</script>
+
+					<div class="sidebar-shortcuts" id="sidebar-shortcuts">
+						<div class="sidebar-shortcuts-large" id="sidebar-shortcuts-large" style="line-height:normal">
+							<div data-percent="66%" class="progress progress-striped active" style="margin-bottom:0">
+								<div style="width:66%;" class="progress-bar"></div>
+							</div>
+							<span>66 GB / 100 GB</span>
+						</div>
+
+						<div class="sidebar-shortcuts-mini" id="sidebar-shortcuts-mini">
+							<span class="btn btn-success"></span>
+
+							<span class="btn btn-info"></span>
+
+							<span class="btn btn-warning"></span>
+
+							<span class="btn btn-danger"></span>
+						</div>
+					</div><!-- #sidebar-shortcuts -->
+
+					<ul class="nav nav-list">
+						<li class="active">
+							<a href="index.html">
+								<i class="icon-dashboard"></i>
+								<span class="menu-text"> Báº£ng Äiá»u khiá»n </span>
+							</a>
+						</li>
+
+						<li>
+							<a href="#" class="dropdown-toggle">
+								<i class="icon-group"></i>
+								<span class="menu-text"> Quáº£n lÃœ tÃ i khoáº£n </span>
+
+								<b class="arrow icon-angle-down"></b>
+							</a>
+
+							<ul class="submenu">
+								<li>
+									<a href="admin_acc.html">
+										<i class="icon-double-angle-right"></i>
+										Quáº£n trá» viÃªn
+									</a>
+								</li>
+
+								<li>
+									<a href="#" class="dropdown-toggle">
+										<i class="icon-double-angle-right"></i>
+										NgÆ°á»i dÃ¹ng
+										<b class="arrow icon-angle-down"></b>
+									</a>
+
+									<ul class="submenu">
+										<li> <a href=""> KÃ­ch hoáº¡t/ Táº¡m ngÆ°ng </a> </li>
+										<li> <a href="user_acc.html"> Thá»ng kÃª tÃ i khoáº£n </a> </li>
+									</ul>
+								</li>
+
+								<li>
+									<a href="assistant_acc.html">
+										<i class="icon-double-angle-right"></i>
+										Cá»ng tÃ¡c viÃªn
+									</a>
+								</li>
+
+							</ul>
+						</li>
+
+						<li>
+							<a href="#" class="dropdown-toggle">
+								<i class="icon-bar-chart"></i>
+								<span class="menu-text"> BÃ¡o cÃ¡o </span>
+
+								<b class="arrow icon-angle-down"></b>
+							</a>
+
+							<ul class="submenu">
+								<li>
+									<a href="report_all.html">
+										<i class="icon-double-angle-right"></i>
+										Doanh thu tá»ng há»£p
+									</a>
+								</li>
+
+								<li>
+									<a href="report_sms.html">
+										<i class="icon-double-angle-right"></i>
+										Doanh thu qua SMS
+									</a>
+								</li>
+
+								<li>
+									<a href="report_card.html">
+										<i class="icon-double-angle-right"></i>
+										Doanh thu qua náº¡p tháº» cÃ o
+									</a>
+								</li>
+
+								<li>
+									<a href="report_assistant.html">
+										<i class="icon-double-angle-right"></i>
+										Doanh thu cá»§a cá»ng tÃ¡c viÃªn
+									</a>
+								</li>
+
+								<li>
+									<a href="logs_sms.html">
+										<i class="icon-double-angle-right"></i>
+										SMS logs
+									</a>
+								</li>
+
+								<li>
+									<a href="logs_card.html">
+										<i class="icon-double-angle-right"></i>
+										Card logs
+									</a>
+								</li>
+							</ul>
+						</li>
+
+						<li>
+							<a href="config.html" class="dropdown-toggle">
+								<i class="icon-cog"></i>
+								<span class="menu-text"> Thiáº¿t láº­p </span>
+							</a>
+						</li>
+
+					</ul><!-- /.nav-list -->
+
+					<div class="sidebar-collapse" id="sidebar-collapse">
+						<i class="icon-double-angle-left" data-icon1="icon-double-angle-left" data-icon2="icon-double-angle-right"></i>
+					</div>
+
+					<script type="text/javascript">
+						try{ace.settings.check('sidebar' , 'collapsed')}catch(e){}
+					</script>
+
+					<ul class="logo-group list-inline">
+						<li><img src="<?php echo $base_url; ?>assets/img/logo_Violet.png" width="64" class="img-responsive"></li>
+						<li><img src="<?php echo $base_url; ?>assets/img/logo_viettel.png" width="64" class="img-responsive"></li>
+					</ul>
+				</div>
+
+				<div class="main-content">
+					<div class="breadcrumbs" id="breadcrumbs">
+						<script type="text/javascript">
+							try{ace.settings.check('breadcrumbs' , 'fixed')}catch(e){}
+						</script>
+
+						<ul class="breadcrumb">
+							<li>
+								<i class="icon-home home-icon"></i>
+								<a href="#">Trang chá»§</a>
+							</li>
+							<li class="active">Báº£ng Äiá»u khiá»n</li>
+						</ul><!-- .breadcrumb -->
+
+						<div class="nav-search" id="nav-search">
+							<form class="form-search">
+								<span class="input-icon">
+									<input type="text" placeholder="TÃ¬m kiáº¿m ..." class="nav-search-input" id="nav-search-input" autocomplete="off" />
+									<i class="icon-search nav-search-icon"></i>
+								</span>
+							</form>
+						</div><!-- #nav-search -->
+					</div>
+
+					<div class="page-content">
+
+						<div class="row">
+							<div class="col-xs-12">
+								<!-- PAGE CONTENT BEGINS -->
+								<div class="col-xs-3">
+									<div class="widget green-1 animated fadeInDown">
+										<div class="widget-content padding">
+											<div class="widget-icon">
+												<i class="icon-group"></i>
+											</div>
+											<div class="text-box">
+												<p class="maindata">LÆ¯á»¢NG <b>NGÆ¯á»I DÃNG</b></p>
+												<h2><span data-duration="3000" data-value="18648" class="animate-number">18,648</span></h2>
+												<div class="clearfix"></div>
+											</div>
+										</div>
+										<div class="widget-footer">
+											<div class="row">
+												<div class="col-sm-12">
+													<i class="icon-caret-up rel-change"></i> <b>6%</b> tÄng so vá»i thÃ¡ng trÆ°á»c
+												</div>
+											</div>
+											<div class="clearfix"></div>
+										</div>
+									</div>
+								</div>
+
+								<div class="col-xs-3">
+									<div class="widget darkblue-1 animated fadeInDown">
+										<div class="widget-content padding">
+											<div class="widget-icon">
+												<i class="icon-envelope"></i>
+											</div>
+											<div class="text-box">
+												<p class="maindata">DOANH THU <b>SMS</b></p>
+												<h2><span data-duration="3000" data-value="18648" class="animate-number">18,648</span></h2>
+												<div class="clearfix"></div>
+											</div>
+										</div>
+										<div class="widget-footer">
+											<div class="row">
+												<div class="col-sm-12">
+													<i class="icon-caret-down rel-change"></i> <b>6%</b> giáº£m so vá»i thÃ¡ng trÆ°á»c
+												</div>
+											</div>
+											<div class="clearfix"></div>
+										</div>
+									</div>
+								</div>
+
+								<div class="col-xs-3">
+									<div class="widget pink-1 animated fadeInDown">
+										<div class="widget-content padding">
+											<div class="widget-icon">
+												<i class="icon-credit-card"></i>
+											</div>
+											<div class="text-box">
+												<p class="maindata">DOANH THU <b>THáºº CÃO</b></p>
+												<h2><span data-duration="3000" data-value="18648" class="animate-number">18,648</span></h2>
+												<div class="clearfix"></div>
+											</div>
+										</div>
+										<div class="widget-footer">
+											<div class="row">
+												<div class="col-sm-12">
+													<i class="icon-caret-down rel-change"></i> <b>6%</b> giáº£m so vá»i thÃ¡ng trÆ°á»c
+												</div>
+											</div>
+											<div class="clearfix"></div>
+										</div>
+									</div>
+								</div>
+
+								<div class="col-xs-3">
+									<div class="widget lightblue-1 animated fadeInDown">
+										<div class="widget-content padding">
+											<div class="widget-icon">
+												<i class="icon-male"></i>
+											</div>
+											<div class="text-box">
+												<p class="maindata">DOANH THU <b>Cá»NG TÃC VIÃN</b></p>
+												<h2><span data-duration="3000" data-value="18648" class="animate-number">18,648</span></h2>
+												<div class="clearfix"></div>
+											</div>
+										</div>
+										<div class="widget-footer">
+											<div class="row">
+												<div class="col-sm-12">
+													<i class="icon-caret-up rel-change"></i> <b>6%</b> tÄng so vá»i thÃ¡ng trÆ°á»c
+												</div>
+											</div>
+											<div class="clearfix"></div>
+										</div>
+									</div>
+								</div>
+									
+								<div class="col-sm-7">
+									<div class="widget-box transparent">
+										<div class="widget-header widget-header-flat">
+											<h4 class="lighter">
+												<i class="icon-bar-chart"></i>
+												Doanh thu
+											</h4>
+
+											<div class="widget-toolbar">
+												<a href="#" data-action="collapse">
+													<i class="icon-chevron-up"></i>
+												</a>
+											</div>
+										</div>
+
+										<div class="widget-body">
+											<div class="widget-main padding-4">
+												<div id="sales-charts"></div>
+											</div><!-- /widget-main -->
+										</div><!-- /widget-body -->
+									</div><!-- /widget-box -->
+								</div>
+
+								<div class="col-sm-5">
+									<div class="widget-box transparent">
+										<div class="widget-header widget-header-flat">
+											<h4 class="lighter">
+												<i class="icon-signal"></i>
+												LÆ°á»£ng truy cáº­p website
+											</h4>
+
+											<div class="widget-toolbar">
+												<a href="#" data-action="collapse">
+													<i class="icon-chevron-up"></i>
+												</a>
+											</div>
+										</div>
+
+										<div class="widget-body">
+											<div class="widget-main padding-4">
+												<div id="traffix-charts"></div>
+											</div><!-- /widget-main -->
+										</div><!-- /widget-body -->
+									</div><!-- /widget-box -->
+								</div>
+
+								<!-- PAGE CONTENT ENDS -->
+							</div><!-- /.col -->
+						</div><!-- /.row -->
+					</div><!-- /.page-content -->
+				</div><!-- /.main-content -->
+			</div><!-- /.main-container-inner -->
+
+			<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
+				<i class="icon-double-angle-up icon-only bigger-110"></i>
+			</a>
+		</div><!-- /.main-container -->
+
+		<!-- basic scripts -->
+
+		<!--[if !IE]> -->
+
+		<script type="text/javascript">
+			window.jQuery || document.write("<script src='<?php echo $base_url; ?>assets/js/jquery-2.0.3.min.js'>"+"<"+"/script>");
+		</script>
+
+		<!-- <![endif]-->
+
+		<!--[if IE]>
+<script type="text/javascript">
+ window.jQuery || document.write("<script src='assets/js/jquery-1.10.2.min.js'>"+"<"+"/script>");
+</script>
+<![endif]-->
+
+		<script type="text/javascript">
+			if("ontouchend" in document) document.write("<script src='<?php echo $base_url; ?>assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
+		</script>
+		<script src="<?php echo $base_url; ?>assets/js/bootstrap.min.js"></script>
+		<script src="<?php echo $base_url; ?>assets/js/typeahead-bs2.min.js"></script>
+
+		<!-- page specific plugin scripts -->
+
+		<!--[if lte IE 8]>
+		  <script src="assets/js/excanvas.min.js"></script>
+		<![endif]-->
+
+		<script src="<?php echo $base_url; ?>assets/js/jquery-ui-1.10.3.custom.min.js"></script>
+		<script src="<?php echo $base_url; ?>assets/js/jquery.ui.touch-punch.min.js"></script>
+		<script src="<?php echo $base_url; ?>assets/js/jquery.slimscroll.min.js"></script>
+		<script src="<?php echo $base_url; ?>assets/js/jquery.easy-pie-chart.min.js"></script>
+		<script src="<?php echo $base_url; ?>assets/js/jquery.sparkline.min.js"></script>
+		<script src="<?php echo $base_url; ?>assets/js/flot/jquery.flot.min.js"></script>
+		<script src="<?php echo $base_url; ?>assets/js/flot/jquery.flot.pie.min.js"></script>
+		<script src="<?php echo $base_url; ?>assets/js/flot/jquery.flot.resize.min.js"></script>
+
+		<!-- ace scripts -->
+
+		<script src="<?php echo $base_url; ?>assets/js/ace-elements.min.js"></script>
+		<script src="<?php echo $base_url; ?>assets/js/ace.min.js"></script>
+
+		<!-- inline scripts related to this page -->
+
+		<script type="text/javascript">
+			jQuery(function($) {
+
+				var d1 = [];
+				for (var i = 0; i < Math.PI * 2; i += 0.5) {
+					d1.push([i, Math.sin(i)]);
+				}
+			
+				var d2 = [];
+				for (var i = 0; i < Math.PI * 2; i += 0.5) {
+					d2.push([i, Math.cos(i)]);
+				}
+			
+				var d3 = [];
+				for (var i = 0; i < Math.PI * 2; i += 1.2) {
+					d3.push([i, Math.sin(i)]);
+				}
+				
+			
+				var sales_charts = $('#sales-charts').css({'width':'100%' , 'height':'320px'});
+				$.plot("#sales-charts", [
+					{ color: '#1abc9c', label: "SMS", data: d1 },
+					{ color: '#e67e22', label: "Tháº» cÃ o", data: d2 },
+					{ color: '#3498db', label: "Cá»ng tÃ¡c viÃªn", data: d3 }
+				], {
+					hoverable: true,
+					shadowSize: 0,
+					series: {
+						lines: { show: true },
+						points: { show: true }
+					},
+					xaxis: {
+						tickLength: 0
+					},
+					yaxis: {
+						ticks: 10,
+						min: -2,
+						max: 2,
+						tickDecimals: 3
+					},
+					grid: {
+						backgroundColor: { colors: [ "#fff", "#fff" ] },
+						borderWidth: 1,
+						borderColor:'#555'
+					}
+				});
+
+				var d6 = [];
+				for (var i = 0; i < 14; i += 0.5 + Math.random()) {
+					d6.push([i, Math.sqrt(2*i + Math.sin(i) + 5)]);
+				} 
+
+				var traffix_charts = $('#traffix-charts').css({'width':'100%' , 'height':'320px'}); 
+				$.plot("#traffix-charts", [
+					{data: d6,lines: { show: true }, step: { show: true } },
+				]); 
+
+				//Android's default browser somehow is confused when tapping on label which will lead to dragging the task
+				//so disable dragging when clicking on label
+				var agent = navigator.userAgent.toLowerCase();
+				if("ontouchstart" in document && /applewebkit/.test(agent) && /android/.test(agent))
+				  $('#tasks').on('touchstart', function(e){
+					var li = $(e.target).closest('#tasks li');
+					if(li.length == 0)return;
+					var label = li.find('label.inline').get(0);
+					if(label == e.target || $.contains(label, e.target)) e.stopImmediatePropagation() ;
+				});
+			
+				$('#tasks').sortable({
+					opacity:0.8,
+					revert:true,
+					forceHelperSize:true,
+					placeholder: 'draggable-placeholder',
+					forcePlaceholderSize:true,
+					tolerance:'pointer',
+					stop: function( event, ui ) {//just for Chrome!!!! so that dropdowns on items don't appear below other items after being moved
+						$(ui.item).css('z-index', 'auto');
+					}
+					}
+				);
+				$('#tasks').disableSelection();
+				$('#tasks input:checkbox').removeAttr('checked').on('click', function(){
+					if(this.checked) $(this).closest('li').addClass('selected');
+					else $(this).closest('li').removeClass('selected');
+				});
+				
+			
+			})
+		</script>
+	</body>
+</html>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/login.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/login.php	(revision 324)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/login.php	(revision 324)
@@ -0,0 +1,175 @@
+<?php $base_url = base_url();?>
+<!DOCTYPE html>
+<html lang="en">
+	<head>
+		<meta charset="utf-8" />
+		<title>ÄÄng nháº­p |SBG</title>
+
+		<meta name="description" content="User login page" />
+		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
+
+		<!-- basic styles -->
+
+		<link href="<?php echo $base_url;?>assets/css/bootstrap.min.css" rel="stylesheet" />
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/font-awesome.min.css" />
+
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/ace-fonts.css" />
+
+		<!-- ace styles -->
+
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/ace.min.css" />
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/ace-rtl.min.css" />
+
+		<!--[if lte IE 8]>
+		  <link rel="stylesheet" href="assets/css/ace-ie.min.css" />
+		<![endif]-->
+
+		<!-- inline styles related to this page -->
+
+		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
+
+		<!--[if lt IE 9]>
+		<script src="assets/js/html5shiv.js"></script>
+		<script src="assets/js/respond.min.js"></script>
+		<![endif]-->
+	</head>
+
+	<body class="login-layout">
+		<div class="main-container">
+			<div class="main-content">
+				<div class="row">
+					<div class="col-sm-10 col-sm-offset-1">
+						<div class="login-container">
+
+							<div class="space-6"></div>
+
+							<div class="position-relative">
+								<div id="login-box" class="login-box visible widget-box no-border">
+									<div class="widget-body">
+										<div class="widget-main">
+											<h4 class="header blue lighter bigger">
+												<i class="icon-cloud-upload green"></i>
+												VIOLET SPACE |<small>ÄÄng nháº­p</small>
+											</h4>
+
+											<form action="<?php echo $base_url;?>admin/home/login" id="frmLogin" method="POST">
+												<fieldset>
+													<label class="block clearfix has-error">
+														<div class="help-block">
+														<?php 
+															if($this->session->flashdata('login_error')){
+																echo 'Sai username hoáº·c password!';
+															}
+														?>
+														</div>
+													</label>
+													<label class="block clearfix">
+														<span class="block input-icon input-icon-right">
+															<input type="text" name="user_admin" class="form-control" placeholder="TÃ i khoáº£n" />
+															<i class="icon-user"></i>
+														</span>
+														<div class="help-block"> </div>
+													</label>
+
+													<label class="block clearfix">
+														<span class="block input-icon input-icon-right">
+															<input type="password" name="password" class="form-control" placeholder="Máº­t kháº©u" />
+															<i class="icon-lock"></i>
+														</span>
+														<div class="help-block"> </div>
+													</label>
+
+													<div class="space"></div>
+
+													<div class="clearfix">
+														<label class="inline">
+															<input type="checkbox" class="ace" />
+															<span class="lbl"> Ghi nhá»</span>
+														</label>
+															<!--a href="index.htm" title=""-->
+															<button type="submit" name="submit" id="login-button" class="pull-right btn btn-sm btn-primary">
+																<i class="icon-key"></i>
+																ÄÄng nháº­p
+															</button>
+														<!--/a-->
+													</div>
+
+													<div class="space-4"></div>
+												</fieldset>
+											</form>
+										</div><!-- /widget-main -->
+									</div><!-- /widget-body -->
+								</div><!-- /login-box -->
+
+							</div><!-- /position-relative -->
+						</div>
+					</div><!-- /.col -->
+				</div><!-- /.row -->
+			</div>
+		</div><!-- /.main-container -->
+
+		<!-- basic scripts -->
+
+		<!--[if !IE]> -->
+
+		<script type="text/javascript">
+			window.jQuery || document.write("<script src='<?php echo $base_url;?>assets/js/jquery-2.0.3.min.js'>"+"<"+"/script>");
+		</script>
+		<script src="<?php echo $base_url;?>assets/js/bootstrap.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/jquery.validate.min.js"></script>
+		
+		<script src="<?php echo $base_url;?>assets/js/ace-elements.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/ace.min.js"></script>
+		<!-- <![endif]-->
+
+		<!--[if IE]>
+<script type="text/javascript">
+ window.jQuery || document.write("<script src='/assets/js/jquery-1.10.2.min.js'>"+"<"+"/script>");
+</script>
+<![endif]-->
+
+		<script type="text/javascript">
+			if("ontouchend" in document) document.write("<script src='<?php echo $base_url;?>assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
+		</script>
+
+		<!-- inline scripts related to this page -->
+
+		<script type="text/javascript">
+			function show_box(id) {
+			 jQuery('.widget-box.visible').removeClass('visible');
+			 jQuery('#'+id).addClass('visible');
+			}
+			$('#validation-form').validate({
+				errorElement: 'label',
+				errorClass: 'help-block',
+				focusInvalid: true,
+				rules: {
+					password: {
+						required: true,
+					},
+					account: {
+						required: true
+					}
+				},
+		
+				messages: {
+					account: {
+						required: "ChÆ°a nháº­p tÃ i khoáº£n admin",
+					},
+					password: {
+						required: "Vui lÃ²ng nháº­p máº­t kháº©u.",
+					}
+				},
+
+				highlight: function (e) {
+					$(e).closest('label').removeClass('has-info').addClass('has-error');
+				},
+		
+				success: function (e) {
+					$(e).closest('label').removeClass('has-error').addClass('has-info');
+					$(e).remove();
+				},
+			});
+		</script>
+	</body>
+</html>