Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/home.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/home.php	(revision 322)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/home.php	(revision 325)
@@ -1,2 +1,3 @@
+<?php $base_url = base_url();?>
 <!DOCTYPE html>
 <html lang="en">
@@ -9,13 +10,13 @@
 
 		<!-- basic styles -->
-		<link href="/assets/css/bootstrap.min.css" rel="stylesheet" />
-		<link rel="stylesheet" href="/assets/css/font-awesome.min.css" />
-
-		<link rel="stylesheet" href="/assets/css/ace-fonts.css" />
+		<link href="<?php echo $base_url; ?>assets/css/bootstrap.min.css" rel="stylesheet" />
+		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/font-awesome.min.css" />
+
+		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/ace-fonts.css" />
 
 		<!-- ace styles -->
 
-		<link rel="stylesheet" href="/assets/css/ace.min.css" />
-		<link rel="stylesheet" href="/assets/css/ace-rtl.min.css" />
+		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/ace.min.css" />
+		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/ace-rtl.min.css" />
 
 		<!--[if lte IE 8]>
@@ -40,5 +41,5 @@
 					<div class="col-md-8">
 						<div class="title-box col-md-8">
-							<img src="/assets/img/logo_soanbai_online_black.png" class="img-responsive">
+							<img src="<?php echo $base_url; ?>assets/img/logo_soanbai_online_black.png" class="img-responsive">
 						</div>
 						<div class="title-box col-md-12">
@@ -46,6 +47,6 @@
 						</div>
 						<ul class="list-inline col-md-12">
-							<li><img src="/assets/img/logo_Violet.png" width="128" class="img-responsive"></li>
-							<li><img src="/assets/img/logo_viettel.png" width="128" class="img-responsive"></li>
+							<li><img src="<?php echo $base_url; ?>assets/img/logo_Violet.png" width="128" class="img-responsive"></li>
+							<li><img src="<?php echo $base_url; ?>assets/img/logo_viettel.png" width="128" class="img-responsive"></li>
 						</ul>
 					</div>
@@ -61,6 +62,18 @@
 											</h4>
 
-											<form action="" id="validation-form" method="POST">
+											<form action="<?php echo $base_url; ?>frontend/home/signin" id="validation-form" method="POST">
 												<fieldset>
+													<label class="block clearfix has-error">
+														<div class="help-block">
+														<?php 
+															if($this->session->flashdata('login_error')){
+																echo 'ThÃŽng tin ÄÄng nháº­p khÃŽng chÃ­nh xÃ¡c!';
+															}
+															if($this->session->flashdata('login_error_token')){
+																echo 'Sai token!';
+															}
+														?>
+														</div>
+													</label>
 													<label class="block clearfix has-error">
 														<span class="block input-icon input-icon-right">
@@ -83,14 +96,14 @@
 													<div class="clearfix">
 														<label class="inline">
-															<input type="checkbox" class="ace" />
+															<input type="checkbox" name="remember_me" class="ace" />
 															<span class="lbl"> Ghi nhá»</span>
 														</label>
 
-														<a href="index-user.html" title="">
+														<!--a href="index-user.html" title=""-->
 															<button type="submit" name="submit" id="login-button" class="pull-right btn btn-sm btn-primary">
 																<i class="icon-key"></i>
 																ÄÄng nháº­p
 															</button>
-														</a>
+														<!--/a-->
 													</div>
 
@@ -136,11 +149,11 @@
 
 		<script type="text/javascript">
-			window.jQuery || document.write("<script src='/assets/js/jquery-2.0.3.min.js'>"+"<"+"/script>");
+			window.jQuery || document.write("<script src='<?php echo $base_url; ?>assets/js/jquery-2.0.3.min.js'>"+"<"+"/script>");
 		</script>
-		<script src="/assets/js/bootstrap.min.js"></script>
-		<script src="/assets/js/jquery.validate.min.js"></script>
-
-		<script src="/assets/js/ace-elements.min.js"></script>
-		<script src="/assets/js/ace.min.js"></script>
+		<script src="<?php echo $base_url; ?>assets/js/bootstrap.min.js"></script>
+		<script src="<?php echo $base_url; ?>assets/js/jquery.validate.min.js"></script>
+
+		<script src="<?php echo $base_url; ?>assets/js/ace-elements.min.js"></script>
+		<script src="<?php echo $base_url; ?>assets/js/ace.min.js"></script>
 		<!-- <![endif]-->
 
@@ -152,5 +165,5 @@
 
 		<script type="text/javascript">
-			if("ontouchend" in document) document.write("<script src='/assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
+			if("ontouchend" in document) document.write("<script src='<?php echo $base_url; ?>assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
 		</script>
 