Index: pro-violet-viettel/sourcecode/application/views/layout/admin/footer.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/admin/footer.php	(revision 330)
+++ pro-violet-viettel/sourcecode/application/views/layout/admin/footer.php	(revision 330)
@@ -0,0 +1,135 @@
+		<!-- basic scripts -->
+
+		<!--[if !IE]> -->
+
+		<script type="text/javascript">
+			window.jQuery || document.write("<script src='<?php echo $base_url;?>assets/js/jquery-2.0.3.min.js'>"+"<"+"/script>");
+		</script>
+
+		<!-- <![endif]-->
+
+		<!--[if IE]>
+<script type="text/javascript">
+ window.jQuery || document.write("<script src='<?php echo $base_url;?>assets/js/jquery-1.10.2.min.js'>"+"<"+"/script>");
+</script>
+<![endif]-->
+
+		<script type="text/javascript">
+			if("ontouchend" in document) document.write("<script src='<?php echo $base_url;?>assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
+		</script>
+		<script src="<?php echo $base_url;?>assets/js/bootstrap.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/typeahead-bs2.min.js"></script>
+
+		<!-- page specific plugin scripts -->
+
+		<!--[if lte IE 8]>
+		  <script src="<?php echo $base_url;?>assets/js/excanvas.min.js"></script>
+		<![endif]-->
+
+		<script src="<?php echo $base_url;?>assets/js/jquery-ui-1.10.3.custom.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/jquery.ui.touch-punch.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/jquery.slimscroll.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/jquery.easy-pie-chart.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/jquery.sparkline.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/flot/jquery.flot.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/flot/jquery.flot.pie.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/flot/jquery.flot.resize.min.js"></script>
+
+		<!-- ace scripts -->
+
+		<script src="<?php echo $base_url;?>assets/js/ace-elements.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/ace.min.js"></script>
+
+		<!-- inline scripts related to this page -->
+
+		<script type="text/javascript">
+			jQuery(function($) {
+
+				var d1 = [];
+				for (var i = 0; i < Math.PI * 2; i += 0.5) {
+					d1.push([i, Math.sin(i)]);
+				}
+			
+				var d2 = [];
+				for (var i = 0; i < Math.PI * 2; i += 0.5) {
+					d2.push([i, Math.cos(i)]);
+				}
+			
+				var d3 = [];
+				for (var i = 0; i < Math.PI * 2; i += 1.2) {
+					d3.push([i, Math.sin(i)]);
+				}
+				
+			
+				var sales_charts = $('#sales-charts').css({'width':'100%' , 'height':'320px'});
+				$.plot("#sales-charts", [
+					{ color: '#1abc9c', label: "SMS", data: d1 },
+					{ color: '#e67e22', label: "Th? cào", data: d2 },
+					{ color: '#3498db', label: "C?ng tác viên", data: d3 }
+				], {
+					hoverable: true,
+					shadowSize: 0,
+					series: {
+						lines: { show: true },
+						points: { show: true }
+					},
+					xaxis: {
+						tickLength: 0
+					},
+					yaxis: {
+						ticks: 10,
+						min: -2,
+						max: 2,
+						tickDecimals: 3
+					},
+					grid: {
+						backgroundColor: { colors: [ "#fff", "#fff" ] },
+						borderWidth: 1,
+						borderColor:'#555'
+					}
+				});
+
+				var d6 = [];
+				for (var i = 0; i < 14; i += 0.5 + Math.random()) {
+					d6.push([i, Math.sqrt(2*i + Math.sin(i) + 5)]);
+				} 
+
+				var traffix_charts = $('#traffix-charts').css({'width':'100%' , 'height':'320px'}); 
+				$.plot("#traffix-charts", [
+					{data: d6,lines: { show: true }, step: { show: true } },
+				]); 
+
+				//Android's default browser somehow is confused when tapping on label which will lead to dragging the task
+				//so disable dragging when clicking on label
+				var agent = navigator.userAgent.toLowerCase();
+				if("ontouchstart" in document && /applewebkit/.test(agent) && /android/.test(agent))
+				  $('#tasks').on('touchstart', function(e){
+					var li = $(e.target).closest('#tasks li');
+					if(li.length == 0)return;
+					var label = li.find('label.inline').get(0);
+					if(label == e.target || $.contains(label, e.target)) e.stopImmediatePropagation() ;
+				});
+			
+				$('#tasks').sortable({
+					opacity:0.8,
+					revert:true,
+					forceHelperSize:true,
+					placeholder: 'draggable-placeholder',
+					forcePlaceholderSize:true,
+					tolerance:'pointer',
+					stop: function( event, ui ) {//just for Chrome!!!! so that dropdowns on items don't appear below other items after being moved
+						$(ui.item).css('z-index', 'auto');
+					}
+					}
+				);
+				$('#tasks').disableSelection();
+				$('#tasks input:checkbox').removeAttr('checked').on('click', function(){
+					if(this.checked) $(this).closest('li').addClass('selected');
+					else $(this).closest('li').removeClass('selected');
+				});
+				
+			
+			})
+		</script>
+	</body>
+</html>
Index: pro-violet-viettel/sourcecode/application/views/layout/admin/header.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/admin/header.php	(revision 330)
+++ pro-violet-viettel/sourcecode/application/views/layout/admin/header.php	(revision 330)
@@ -0,0 +1,81 @@
+﻿<!DOCTYPE html>
+<html lang="en">
+	<head>
+		<meta charset="utf-8" />
+		<title>SBG|Admin</title>
+
+		<meta name="description" content="overview &amp; stats" />
+		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
+
+		<link href="<?php echo $base_url;?>assets/css/bootstrap.min.css" rel="stylesheet" />
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/font-awesome.min.css" />
+
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/ace-fonts.css" />
+
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/ace.min.css" />
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/ace-rtl.min.css" />
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/ace-skins.min.css" />
+
+		<script src="<?php echo $base_url;?>assets/js/ace-extra.min.js"></script>
+
+		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
+
+		<!--[if lt IE 9]>
+		<script src="<?php echo $base_url;?>assets/js/html5shiv.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/respond.min.js"></script>
+		<![endif]-->
+	</head>
+
+	<body>
+		<div class="navbar navbar-default navbar-fixed-top" id="navbar">
+			<script type="text/javascript">
+				try{ace.settings.check('navbar' , 'fixed')}catch(e){}
+			</script>
+
+			<div class="navbar-container" id="navbar-container">
+				<div class="navbar-header pull-left">
+					<a href="#" class="navbar-brand">
+						<img src="<?php echo $base_url;?>assets/img/logo_soanbai_online_white.png" width="350" class="img-responsive">
+					</a><!-- /.brand -->
+				</div><!-- /.navbar-header -->
+
+				<div class="navbar-header pull-right" role="navigation">
+					<ul class="nav ace-nav">
+						<li>
+							<a data-toggle="dropdown" href="#" class="dropdown-toggle">
+								<img class="nav-user-photo" src="<?php echo $base_url;?>assets/avatars/user.jpg" alt="Admin's Photo" />
+								<span class="user-info">
+									<small>Xin chào,</small>
+									Admin
+								</span>
+
+								<i class="icon-caret-down"></i>
+							</a>
+
+							<ul class="user-menu pull-right dropdown-menu dropdown-yellow dropdown-caret dropdown-close">
+								<li>
+									<a href="user_profile.html">
+										<i class="icon-user"></i>
+										Thông tin cá nhân
+									</a>
+								</li>
+
+								<li class="divider"></li>
+
+								<li>
+									<a href="login.html">
+										<i class="icon-off"></i>
+										Thoát
+									</a>
+								</li>
+							</ul>
+						</li>
+					</ul><!-- /.ace-nav -->
+				</div><!-- /.navbar-header -->
+			</div><!-- /.container -->
+		</div>
+
+		<div class="main-container" id="main-container">
+			<script type="text/javascript">
+				try{ace.settings.check('main-container' , 'fixed')}catch(e){}
+			</script>
Index: pro-violet-viettel/sourcecode/application/views/layout/admin/sidebar.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/admin/sidebar.php	(revision 330)
+++ pro-violet-viettel/sourcecode/application/views/layout/admin/sidebar.php	(revision 330)
@@ -0,0 +1,151 @@
+﻿			<div class="main-container-inner">
+				<a class="menu-toggler" id="menu-toggler" href="#">
+					<span class="menu-text"></span>
+				</a>
+
+				<div class="sidebar sidebar-fixed" id="sidebar">
+					<script type="text/javascript">
+						try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
+					</script>
+
+					<div class="sidebar-shortcuts" id="sidebar-shortcuts">
+						<div class="sidebar-shortcuts-large" id="sidebar-shortcuts-large" style="line-height:normal">
+							<div data-percent="66%" class="progress progress-striped active" style="margin-bottom:0">
+								<div style="width:66%;" class="progress-bar"></div>
+							</div>
+							<span>66 GB / 100 GB</span>
+						</div>
+
+						<div class="sidebar-shortcuts-mini" id="sidebar-shortcuts-mini">
+							<span class="btn btn-success"></span>
+
+							<span class="btn btn-info"></span>
+
+							<span class="btn btn-warning"></span>
+
+							<span class="btn btn-danger"></span>
+						</div>
+					</div><!-- #sidebar-shortcuts -->
+
+					<ul class="nav nav-list">
+						<li class="active">
+							<a href="index.html">
+								<i class="icon-dashboard"></i>
+								<span class="menu-text"> Bảng điều khiển </span>
+							</a>
+						</li>
+
+						<li>
+							<a href="#" class="dropdown-toggle">
+								<i class="icon-group"></i>
+								<span class="menu-text"> Quản lý tài khoản </span>
+
+								<b class="arrow icon-angle-down"></b>
+							</a>
+
+							<ul class="submenu">
+								<li>
+									<a href="admin_acc.html">
+										<i class="icon-double-angle-right"></i>
+										Quản trị viên
+									</a>
+								</li>
+
+								<li>
+									<a href="#" class="dropdown-toggle">
+										<i class="icon-double-angle-right"></i>
+										Người dùng
+										<b class="arrow icon-angle-down"></b>
+									</a>
+
+									<ul class="submenu">
+										<li> <a href=""> Kích hoạt/ Tạm ngưng </a> </li>
+										<li> <a href="user_acc.html"> Thống kê tài khoản </a> </li>
+									</ul>
+								</li>
+
+								<li>
+									<a href="assistant_acc.html">
+										<i class="icon-double-angle-right"></i>
+										Cộng tác viên
+									</a>
+								</li>
+
+							</ul>
+						</li>
+
+						<li>
+							<a href="#" class="dropdown-toggle">
+								<i class="icon-bar-chart"></i>
+								<span class="menu-text"> Báo cáo </span>
+
+								<b class="arrow icon-angle-down"></b>
+							</a>
+
+							<ul class="submenu">
+								<li>
+									<a href="report_all.html">
+										<i class="icon-double-angle-right"></i>
+										Doanh thu tổng hợp
+									</a>
+								</li>
+
+								<li>
+									<a href="report_sms.html">
+										<i class="icon-double-angle-right"></i>
+										Doanh thu qua SMS
+									</a>
+								</li>
+
+								<li>
+									<a href="report_card.html">
+										<i class="icon-double-angle-right"></i>
+										Doanh thu qua nạp thẻ cào
+									</a>
+								</li>
+
+								<li>
+									<a href="report_assistant.html">
+										<i class="icon-double-angle-right"></i>
+										Doanh thu của cộng tác viên
+									</a>
+								</li>
+
+								<li>
+									<a href="logs_sms.html">
+										<i class="icon-double-angle-right"></i>
+										SMS logs
+									</a>
+								</li>
+
+								<li>
+									<a href="logs_card.html">
+										<i class="icon-double-angle-right"></i>
+										Card logs
+									</a>
+								</li>
+							</ul>
+						</li>
+
+						<li>
+							<a href="config.html" class="dropdown-toggle">
+								<i class="icon-cog"></i>
+								<span class="menu-text"> Thiết lập </span>
+							</a>
+						</li>
+
+					</ul><!-- /.nav-list -->
+
+					<div class="sidebar-collapse" id="sidebar-collapse">
+						<i class="icon-double-angle-left" data-icon1="icon-double-angle-left" data-icon2="icon-double-angle-right"></i>
+					</div>
+
+					<script type="text/javascript">
+						try{ace.settings.check('sidebar' , 'collapsed')}catch(e){}
+					</script>
+
+					<ul class="logo-group list-inline">
+						<li><img src="<?php echo $base_url;?>assets/img/logo_Violet.png" width="64" class="img-responsive"></li>
+						<li><img src="<?php echo $base_url;?>assets/img/logo_viettel.png" width="64" class="img-responsive"></li>
+					</ul>
+				</div>