Index: pro-violet-viettel/sourcecode/application/modules/admin/views/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/index.php	(revision 328)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/index.php	(revision 331)
@@ -1,237 +1,7 @@
-<?php $base_url = base_url();?>
-<!DOCTYPE html>
-<html lang="en">
-	<head>
-		<meta charset="utf-8" />
-		<title>SBG|Admin</title>
-
-		<meta name="description" content="overview &amp; stats" />
-		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
-
-		<link href="<?php echo $base_url; ?>assets/css/bootstrap.min.css" rel="stylesheet" />
-		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/font-awesome.min.css" />
-
-		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/ace-fonts.css" />
-
-		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/ace.min.css" />
-		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/ace-rtl.min.css" />
-		<link rel="stylesheet" href="<?php echo $base_url; ?>assets/css/ace-skins.min.css" />
-
-		<script src="<?php echo $base_url; ?>assets/js/ace-extra.min.js"></script>
-
-		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
-
-		<!--[if lt IE 9]>
-		<script src="assets/js/html5shiv.js"></script>
-		<script src="assets/js/respond.min.js"></script>
-		<![endif]-->
-	</head>
-
-	<body>
-		<div class="navbar navbar-default navbar-fixed-top" id="navbar">
-			<script type="text/javascript">
-				try{ace.settings.check('navbar' , 'fixed')}catch(e){}
-			</script>
-
-			<div class="navbar-container" id="navbar-container">
-				<div class="navbar-header pull-left">
-					<a href="#" class="navbar-brand">
-						<img src="<?php echo $base_url; ?>assets/img/logo_soanbai_online_white.png" width="350" class="img-responsive">
-					</a><!-- /.brand -->
-				</div><!-- /.navbar-header -->
-
-				<div class="navbar-header pull-right" role="navigation">
-					<ul class="nav ace-nav">
-						<li>
-							<a data-toggle="dropdown" href="#" class="dropdown-toggle">
-								<img class="nav-user-photo" src="<?php echo $base_url; ?>assets/avatars/user.jpg" alt="Admin's Photo" />
-								<span class="user-info">
-									<small>Xin chÃ o,</small>
-									Admin
-								</span>
-
-								<i class="icon-caret-down"></i>
-							</a>
-
-							<ul class="user-menu pull-right dropdown-menu dropdown-yellow dropdown-caret dropdown-close">
-								<li>
-									<a href="user_profile.html">
-										<i class="icon-user"></i>
-										ThÃŽng tin cÃ¡ nhÃ¢n
-									</a>
-								</li>
-
-								<li class="divider"></li>
-
-								<li>
-									<a href="<?php echo $base_url; ?>admin/home/logout">
-										<i class="icon-off"></i>
-										ThoÃ¡t
-									</a>
-								</li>
-							</ul>
-						</li>
-					</ul><!-- /.ace-nav -->
-				</div><!-- /.navbar-header -->
-			</div><!-- /.container -->
-		</div>
-
-		<div class="main-container" id="main-container">
-			<script type="text/javascript">
-				try{ace.settings.check('main-container' , 'fixed')}catch(e){}
-			</script>
-
-			<div class="main-container-inner">
-				<a class="menu-toggler" id="menu-toggler" href="#">
-					<span class="menu-text"></span>
-				</a>
-
-				<div class="sidebar sidebar-fixed" id="sidebar">
-					<script type="text/javascript">
-						try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
-					</script>
-
-					<div class="sidebar-shortcuts" id="sidebar-shortcuts">
-						<div class="sidebar-shortcuts-large" id="sidebar-shortcuts-large" style="line-height:normal">
-							<div data-percent="66%" class="progress progress-striped active" style="margin-bottom:0">
-								<div style="width:66%;" class="progress-bar"></div>
-							</div>
-							<span>66 GB / 100 GB</span>
-						</div>
-
-						<div class="sidebar-shortcuts-mini" id="sidebar-shortcuts-mini">
-							<span class="btn btn-success"></span>
-
-							<span class="btn btn-info"></span>
-
-							<span class="btn btn-warning"></span>
-
-							<span class="btn btn-danger"></span>
-						</div>
-					</div><!-- #sidebar-shortcuts -->
-
-					<ul class="nav nav-list">
-						<li class="active">
-							<a href="index.html">
-								<i class="icon-dashboard"></i>
-								<span class="menu-text"> Báº£ng Äiá»u khiá»n </span>
-							</a>
-						</li>
-
-						<li>
-							<a href="#" class="dropdown-toggle">
-								<i class="icon-group"></i>
-								<span class="menu-text"> Quáº£n lÃœ tÃ i khoáº£n </span>
-
-								<b class="arrow icon-angle-down"></b>
-							</a>
-
-							<ul class="submenu">
-								<li>
-									<a href="admin_acc.html">
-										<i class="icon-double-angle-right"></i>
-										Quáº£n trá» viÃªn
-									</a>
-								</li>
-
-								<li>
-									<a href="#" class="dropdown-toggle">
-										<i class="icon-double-angle-right"></i>
-										NgÆ°á»i dÃ¹ng
-										<b class="arrow icon-angle-down"></b>
-									</a>
-
-									<ul class="submenu">
-										<li> <a href=""> KÃ­ch hoáº¡t/ Táº¡m ngÆ°ng </a> </li>
-										<li> <a href="user_acc.html"> Thá»ng kÃª tÃ i khoáº£n </a> </li>
-									</ul>
-								</li>
-
-								<li>
-									<a href="assistant_acc.html">
-										<i class="icon-double-angle-right"></i>
-										Cá»ng tÃ¡c viÃªn
-									</a>
-								</li>
-
-							</ul>
-						</li>
-
-						<li>
-							<a href="#" class="dropdown-toggle">
-								<i class="icon-bar-chart"></i>
-								<span class="menu-text"> BÃ¡o cÃ¡o </span>
-
-								<b class="arrow icon-angle-down"></b>
-							</a>
-
-							<ul class="submenu">
-								<li>
-									<a href="report_all.html">
-										<i class="icon-double-angle-right"></i>
-										Doanh thu tá»ng há»£p
-									</a>
-								</li>
-
-								<li>
-									<a href="report_sms.html">
-										<i class="icon-double-angle-right"></i>
-										Doanh thu qua SMS
-									</a>
-								</li>
-
-								<li>
-									<a href="report_card.html">
-										<i class="icon-double-angle-right"></i>
-										Doanh thu qua náº¡p tháº» cÃ o
-									</a>
-								</li>
-
-								<li>
-									<a href="report_assistant.html">
-										<i class="icon-double-angle-right"></i>
-										Doanh thu cá»§a cá»ng tÃ¡c viÃªn
-									</a>
-								</li>
-
-								<li>
-									<a href="logs_sms.html">
-										<i class="icon-double-angle-right"></i>
-										SMS logs
-									</a>
-								</li>
-
-								<li>
-									<a href="logs_card.html">
-										<i class="icon-double-angle-right"></i>
-										Card logs
-									</a>
-								</li>
-							</ul>
-						</li>
-
-						<li>
-							<a href="config.html" class="dropdown-toggle">
-								<i class="icon-cog"></i>
-								<span class="menu-text"> Thiáº¿t láº­p </span>
-							</a>
-						</li>
-
-					</ul><!-- /.nav-list -->
-
-					<div class="sidebar-collapse" id="sidebar-collapse">
-						<i class="icon-double-angle-left" data-icon1="icon-double-angle-left" data-icon2="icon-double-angle-right"></i>
-					</div>
-
-					<script type="text/javascript">
-						try{ace.settings.check('sidebar' , 'collapsed')}catch(e){}
-					</script>
-
-					<ul class="logo-group list-inline">
-						<li><img src="<?php echo $base_url; ?>assets/img/logo_Violet.png" width="64" class="img-responsive"></li>
-						<li><img src="<?php echo $base_url; ?>assets/img/logo_viettel.png" width="64" class="img-responsive"></li>
-					</ul>
-				</div>
-
+﻿<?php
+$base_url = base_url();
+$this->load->view('layout/admin/header', array('base_url' => $base_url));
+$this->load->view('layout/admin/sidebar', array('base_url' => $base_url));
+?>
 				<div class="main-content">
 					<div class="breadcrumbs" id="breadcrumbs">
@@ -243,7 +13,7 @@
 							<li>
 								<i class="icon-home home-icon"></i>
-								<a href="#">Trang chá»§</a>
+								<a href="#">Trang chủ</a>
 							</li>
-							<li class="active">Báº£ng Äiá»u khiá»n</li>
+							<li class="active">Bảng điều khiển</li>
 						</ul><!-- .breadcrumb -->
 
@@ -251,5 +21,5 @@
 							<form class="form-search">
 								<span class="input-icon">
-									<input type="text" placeholder="TÃ¬m kiáº¿m ..." class="nav-search-input" id="nav-search-input" autocomplete="off" />
+									<input type="text" placeholder="Tìm kiếm ..." class="nav-search-input" id="nav-search-input" autocomplete="off" />
 									<i class="icon-search nav-search-icon"></i>
 								</span>
@@ -270,5 +40,5 @@
 											</div>
 											<div class="text-box">
-												<p class="maindata">LÆ¯á»¢NG <b>NGÆ¯á»I DÃNG</b></p>
+												<p class="maindata">LƯỢNG <b>NGƯỜI DÙNG</b></p>
 												<h2><span data-duration="3000" data-value="18648" class="animate-number">18,648</span></h2>
 												<div class="clearfix"></div>
@@ -278,5 +48,5 @@
 											<div class="row">
 												<div class="col-sm-12">
-													<i class="icon-caret-up rel-change"></i> <b>6%</b> tÄng so vá»i thÃ¡ng trÆ°á»c
+													<i class="icon-caret-up rel-change"></i> <b>6%</b> tăng so với tháng trước
 												</div>
 											</div>
@@ -301,5 +71,5 @@
 											<div class="row">
 												<div class="col-sm-12">
-													<i class="icon-caret-down rel-change"></i> <b>6%</b> giáº£m so vá»i thÃ¡ng trÆ°á»c
+													<i class="icon-caret-down rel-change"></i> <b>6%</b> giảm so với tháng trước
 												</div>
 											</div>
@@ -316,5 +86,5 @@
 											</div>
 											<div class="text-box">
-												<p class="maindata">DOANH THU <b>THáºº CÃO</b></p>
+												<p class="maindata">DOANH THU <b>THẺ CÀO</b></p>
 												<h2><span data-duration="3000" data-value="18648" class="animate-number">18,648</span></h2>
 												<div class="clearfix"></div>
@@ -324,5 +94,5 @@
 											<div class="row">
 												<div class="col-sm-12">
-													<i class="icon-caret-down rel-change"></i> <b>6%</b> giáº£m so vá»i thÃ¡ng trÆ°á»c
+													<i class="icon-caret-down rel-change"></i> <b>6%</b> giảm so với tháng trước
 												</div>
 											</div>
@@ -339,5 +109,5 @@
 											</div>
 											<div class="text-box">
-												<p class="maindata">DOANH THU <b>Cá»NG TÃC VIÃN</b></p>
+												<p class="maindata">DOANH THU <b>CỘNG TÁC VIÊN</b></p>
 												<h2><span data-duration="3000" data-value="18648" class="animate-number">18,648</span></h2>
 												<div class="clearfix"></div>
@@ -347,5 +117,5 @@
 											<div class="row">
 												<div class="col-sm-12">
-													<i class="icon-caret-up rel-change"></i> <b>6%</b> tÄng so vá»i thÃ¡ng trÆ°á»c
+													<i class="icon-caret-up rel-change"></i> <b>6%</b> tăng so với tháng trước
 												</div>
 											</div>
@@ -383,5 +153,5 @@
 											<h4 class="lighter">
 												<i class="icon-signal"></i>
-												LÆ°á»£ng truy cáº­p website
+												Lượng truy cập website
 											</h4>
 
@@ -412,138 +182,5 @@
 			</a>
 		</div><!-- /.main-container -->
-
-		<!-- basic scripts -->
-
-		<!--[if !IE]> -->
-
-		<script type="text/javascript">
-			window.jQuery || document.write("<script src='<?php echo $base_url; ?>assets/js/jquery-2.0.3.min.js'>"+"<"+"/script>");
-		</script>
-
-		<!-- <![endif]-->
-
-		<!--[if IE]>
-<script type="text/javascript">
- window.jQuery || document.write("<script src='assets/js/jquery-1.10.2.min.js'>"+"<"+"/script>");
-</script>
-<![endif]-->
-
-		<script type="text/javascript">
-			if("ontouchend" in document) document.write("<script src='<?php echo $base_url; ?>assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
-		</script>
-		<script src="<?php echo $base_url; ?>assets/js/bootstrap.min.js"></script>
-		<script src="<?php echo $base_url; ?>assets/js/typeahead-bs2.min.js"></script>
-
-		<!-- page specific plugin scripts -->
-
-		<!--[if lte IE 8]>
-		  <script src="assets/js/excanvas.min.js"></script>
-		<![endif]-->
-
-		<script src="<?php echo $base_url; ?>assets/js/jquery-ui-1.10.3.custom.min.js"></script>
-		<script src="<?php echo $base_url; ?>assets/js/jquery.ui.touch-punch.min.js"></script>
-		<script src="<?php echo $base_url; ?>assets/js/jquery.slimscroll.min.js"></script>
-		<script src="<?php echo $base_url; ?>assets/js/jquery.easy-pie-chart.min.js"></script>
-		<script src="<?php echo $base_url; ?>assets/js/jquery.sparkline.min.js"></script>
-		<script src="<?php echo $base_url; ?>assets/js/flot/jquery.flot.min.js"></script>
-		<script src="<?php echo $base_url; ?>assets/js/flot/jquery.flot.pie.min.js"></script>
-		<script src="<?php echo $base_url; ?>assets/js/flot/jquery.flot.resize.min.js"></script>
-
-		<!-- ace scripts -->
-
-		<script src="<?php echo $base_url; ?>assets/js/ace-elements.min.js"></script>
-		<script src="<?php echo $base_url; ?>assets/js/ace.min.js"></script>
-
-		<!-- inline scripts related to this page -->
-
-		<script type="text/javascript">
-			jQuery(function($) {
-
-				var d1 = [];
-				for (var i = 0; i < Math.PI * 2; i += 0.5) {
-					d1.push([i, Math.sin(i)]);
-				}
-			
-				var d2 = [];
-				for (var i = 0; i < Math.PI * 2; i += 0.5) {
-					d2.push([i, Math.cos(i)]);
-				}
-			
-				var d3 = [];
-				for (var i = 0; i < Math.PI * 2; i += 1.2) {
-					d3.push([i, Math.sin(i)]);
-				}
-				
-			
-				var sales_charts = $('#sales-charts').css({'width':'100%' , 'height':'320px'});
-				$.plot("#sales-charts", [
-					{ color: '#1abc9c', label: "SMS", data: d1 },
-					{ color: '#e67e22', label: "Tháº» cÃ o", data: d2 },
-					{ color: '#3498db', label: "Cá»ng tÃ¡c viÃªn", data: d3 }
-				], {
-					hoverable: true,
-					shadowSize: 0,
-					series: {
-						lines: { show: true },
-						points: { show: true }
-					},
-					xaxis: {
-						tickLength: 0
-					},
-					yaxis: {
-						ticks: 10,
-						min: -2,
-						max: 2,
-						tickDecimals: 3
-					},
-					grid: {
-						backgroundColor: { colors: [ "#fff", "#fff" ] },
-						borderWidth: 1,
-						borderColor:'#555'
-					}
-				});
-
-				var d6 = [];
-				for (var i = 0; i < 14; i += 0.5 + Math.random()) {
-					d6.push([i, Math.sqrt(2*i + Math.sin(i) + 5)]);
-				} 
-
-				var traffix_charts = $('#traffix-charts').css({'width':'100%' , 'height':'320px'}); 
-				$.plot("#traffix-charts", [
-					{data: d6,lines: { show: true }, step: { show: true } },
-				]); 
-
-				//Android's default browser somehow is confused when tapping on label which will lead to dragging the task
-				//so disable dragging when clicking on label
-				var agent = navigator.userAgent.toLowerCase();
-				if("ontouchstart" in document && /applewebkit/.test(agent) && /android/.test(agent))
-				  $('#tasks').on('touchstart', function(e){
-					var li = $(e.target).closest('#tasks li');
-					if(li.length == 0)return;
-					var label = li.find('label.inline').get(0);
-					if(label == e.target || $.contains(label, e.target)) e.stopImmediatePropagation() ;
-				});
-			
-				$('#tasks').sortable({
-					opacity:0.8,
-					revert:true,
-					forceHelperSize:true,
-					placeholder: 'draggable-placeholder',
-					forcePlaceholderSize:true,
-					tolerance:'pointer',
-					stop: function( event, ui ) {//just for Chrome!!!! so that dropdowns on items don't appear below other items after being moved
-						$(ui.item).css('z-index', 'auto');
-					}
-					}
-				);
-				$('#tasks').disableSelection();
-				$('#tasks input:checkbox').removeAttr('checked').on('click', function(){
-					if(this.checked) $(this).closest('li').addClass('selected');
-					else $(this).closest('li').removeClass('selected');
-				});
-				
-			
-			})
-		</script>
-	</body>
-</html>
+<?php 
+$this->load->view('layout/admin/footer', array('base_url' => $base_url));
+?>