Index: pro-violet-viettel/sourcecode/application/views/layout/admin/header.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/admin/header.php	(revision 333)
+++ pro-violet-viettel/sourcecode/application/views/layout/admin/header.php	(revision 334)
@@ -1,3 +1,3 @@
-﻿<!DOCTYPE html>
+<!DOCTYPE html>
 <html lang="en">
 	<head>
@@ -46,5 +46,5 @@
 								<img class="nav-user-photo" src="<?php echo $base_url;?>assets/avatars/user.jpg" alt="Admin's Photo" />
 								<span class="user-info">
-									<small>Xin chào,</small>
+									<small>Xin chÃ o,</small>
 									Admin
 								</span>
@@ -57,5 +57,5 @@
 									<a href="user_profile.html">
 										<i class="icon-user"></i>
-										Thông tin cá nhân
+										ThÃŽng tin cÃ¡ nhÃ¢n
 									</a>
 								</li>
@@ -66,5 +66,5 @@
 									<a href="login.html">
 										<i class="icon-off"></i>
-										Thoát
+										ThoÃ¡t
 									</a>
 								</li>
Index: pro-violet-viettel/sourcecode/application/views/layout/admin/sidebar.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/admin/sidebar.php	(revision 333)
+++ pro-violet-viettel/sourcecode/application/views/layout/admin/sidebar.php	(revision 334)
@@ -1,3 +1,3 @@
-﻿			<div class="main-container-inner">
+			<div class="main-container-inner">
 				<a class="menu-toggler" id="menu-toggler" href="#">
 					<span class="menu-text"></span>
@@ -32,5 +32,5 @@
 							<a href="index.html">
 								<i class="icon-dashboard"></i>
-								<span class="menu-text"> Bảng điều khiển </span>
+								<span class="menu-text"> Báº£ng Äiá»u khiá»n </span>
 							</a>
 						</li>
@@ -39,5 +39,5 @@
 							<a href="#" class="dropdown-toggle">
 								<i class="icon-group"></i>
-								<span class="menu-text"> Quản lý tài khoản </span>
+								<span class="menu-text"> Quáº£n lÃœ tÃ i khoáº£n </span>
 
 								<b class="arrow icon-angle-down"></b>
@@ -48,5 +48,5 @@
 									<a href="admin_acc.html">
 										<i class="icon-double-angle-right"></i>
-										Quản trị viên
+										Quáº£n trá» viÃªn
 									</a>
 								</li>
@@ -55,11 +55,11 @@
 									<a href="#" class="dropdown-toggle">
 										<i class="icon-double-angle-right"></i>
-										Người dùng
+										NgÆ°á»i dÃ¹ng
 										<b class="arrow icon-angle-down"></b>
 									</a>
 
 									<ul class="submenu">
-										<li> <a href=""> Kích hoạt/ Tạm ngưng </a> </li>
-										<li> <a href="user_acc.html"> Thống kê tài khoản </a> </li>
+										<li> <a href=""> KÃ­ch hoáº¡t/ Táº¡m ngÆ°ng </a> </li>
+										<li> <a href="user_acc.html"> Thá»ng kÃª tÃ i khoáº£n </a> </li>
 									</ul>
 								</li>
@@ -68,5 +68,5 @@
 									<a href="assistant_acc.html">
 										<i class="icon-double-angle-right"></i>
-										Cộng tác viên
+										Cá»ng tÃ¡c viÃªn
 									</a>
 								</li>
@@ -78,5 +78,5 @@
 							<a href="#" class="dropdown-toggle">
 								<i class="icon-bar-chart"></i>
-								<span class="menu-text"> Báo cáo </span>
+								<span class="menu-text"> BÃ¡o cÃ¡o </span>
 
 								<b class="arrow icon-angle-down"></b>
@@ -87,5 +87,5 @@
 									<a href="report_all.html">
 										<i class="icon-double-angle-right"></i>
-										Doanh thu tổng hợp
+										Doanh thu tá»ng há»£p
 									</a>
 								</li>
@@ -101,5 +101,5 @@
 									<a href="report_card.html">
 										<i class="icon-double-angle-right"></i>
-										Doanh thu qua nạp thẻ cào
+										Doanh thu qua náº¡p tháº» cÃ o
 									</a>
 								</li>
@@ -108,5 +108,5 @@
 									<a href="report_assistant.html">
 										<i class="icon-double-angle-right"></i>
-										Doanh thu của cộng tác viên
+										Doanh thu cá»§a cá»ng tÃ¡c viÃªn
 									</a>
 								</li>
@@ -131,5 +131,5 @@
 							<a href="config.html" class="dropdown-toggle">
 								<i class="icon-cog"></i>
-								<span class="menu-text"> Thiết lập </span>
+								<span class="menu-text"> Thiáº¿t láº­p </span>
 							</a>
 						</li>