Index: pro-violet-viettel/sourcecode/application/views/layout/admin/footer.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/admin/footer.php	(revision 336)
+++ pro-violet-viettel/sourcecode/application/views/layout/admin/footer.php	(revision 338)
@@ -22,4 +22,7 @@
 
 		<!-- page specific plugin scripts -->
+
+		<script src="<?php echo $base_url;?>assets/js/jquery.dataTables.min.js"></script>
+		<script src="<?php echo $base_url;?>assets/js/jquery.dataTables.bootstrap.js"></script>
 
 		<!--[if lte IE 8]>
@@ -35,5 +38,5 @@
 		<script src="<?php echo $base_url;?>assets/js/flot/jquery.flot.pie.min.js"></script>
 		<script src="<?php echo $base_url;?>assets/js/flot/jquery.flot.resize.min.js"></script>
-
+		<script src="<?php echo $base_url; ?>assets/js/jquery.validate.min.js"></script>
 		<!-- ace scripts -->
 
@@ -130,5 +133,83 @@
 				
 			
+			});
+			
+			$('[data-rel=tooltip]').tooltip();
+			$('[data-rel=popover]').popover();
+
+			jQuery(function($) {
+				var oTable1 = $('#sample-table-2').dataTable( {
+				"aoColumns": [
+			      { "bSortable": false },
+			      null, null,null, null, null,
+				  { "bSortable": false }
+				] } );
+				
+				
+				$('table th input:checkbox').on('click' , function(){
+					var that = this;
+					$(this).closest('table').find('tr > td:first-child input:checkbox')
+					.each(function(){
+						this.checked = that.checked;
+						$(this).closest('tr').toggleClass('selected');
+					});
+						
+				});
+			
+			
+				$('[data-rel="tooltip"]').tooltip({placement: tooltip_placement});
+				function tooltip_placement(context, source) {
+					var $source = $(source);
+					var $parent = $source.closest('table')
+					var off1 = $parent.offset();
+					var w1 = $parent.width();
+			
+					var off2 = $source.offset();
+					var w2 = $source.width();
+			
+					if( parseInt(off2.left) < parseInt(off1.left) + parseInt(w1 / 2) ) return 'right';
+					return 'left';
+				}
+			});
+			function show_box(id) {
+			 jQuery('.widget-box.visible').removeClass('visible');
+			 jQuery('#'+id).addClass('visible');
+			}
+
+			$('#register-button').click(function(){
+					$('#modal-login').modal('show')
 			})
+
+			$('#validation-form').validate({
+				errorElement: 'label',
+				errorClass: 'help-block',
+				focusInvalid: true,
+				rules: {
+					password: {
+						required: true,
+					},
+					username: {
+						required: true
+					}
+				},
+		
+				messages: {
+					username: {
+						required: "Vui lÃ²ng nháº­p tÃ i khoáº£n hoáº·c sá» Äiá»n thoáº¡i",
+					},
+					password: {
+						required: "Vui lÃ²ng nháº­p máº­t kháº©u.",
+					}
+				},
+
+				highlight: function (e) {
+					$(e).closest('label').removeClass('has-info').addClass('has-error');
+				},
+		
+				success: function (e) {
+					$(e).closest('label').removeClass('has-error').addClass('has-info');
+					$(e).remove();
+				},
+			});
 		</script>
 	</body>
Index: pro-violet-viettel/sourcecode/application/views/layout/admin/header.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/admin/header.php	(revision 336)
+++ pro-violet-viettel/sourcecode/application/views/layout/admin/header.php	(revision 338)
@@ -11,4 +11,10 @@
 		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/font-awesome.min.css" />
 
+		<!-- page specific plugin styles -->
+
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/jquery-ui-1.10.3.full.min.css" />
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/datepicker.css" />
+		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/ui.jqgrid.css" />
+		
 		<link rel="stylesheet" href="<?php echo $base_url;?>assets/css/ace-fonts.css" />
 
Index: pro-violet-viettel/sourcecode/application/views/layout/admin/sidebar.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/admin/sidebar.php	(revision 336)
+++ pro-violet-viettel/sourcecode/application/views/layout/admin/sidebar.php	(revision 338)
@@ -46,5 +46,5 @@
 							<ul class="submenu">
 								<li>
-									<a href="admin_acc.html">
+									<a href="<?php echo $base_url; ?>admin/home/admin_acc">
 										<i class="icon-double-angle-right"></i>
 										Quáº£n trá» viÃªn